{
    "packages": [
        {
            "name": "adbario/php-dot-notation",
            "version": "2.2.0",
            "version_normalized": "2.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/adbario/php-dot-notation.git",
                "reference": "eee4fc81296531e6aafba4c2bbccfc5adab1676e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/adbario/php-dot-notation/zipball/eee4fc81296531e6aafba4c2bbccfc5adab1676e",
                "reference": "eee4fc81296531e6aafba4c2bbccfc5adab1676e",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": ">=5.5"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.0|^5.0|^6.0",
                "squizlabs/php_codesniffer": "^3.0"
            },
            "time": "2019-01-01T23:59:15+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/helpers.php"
                ],
                "psr-4": {
                    "Adbar\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Riku Särkinen",
                    "email": "riku@adbar.io"
                }
            ],
            "description": "PHP dot notation access to arrays",
            "homepage": "https://github.com/adbario/php-dot-notation",
            "keywords": [
                "ArrayAccess",
                "dotnotation"
            ],
            "support": {
                "issues": "https://github.com/adbario/php-dot-notation/issues",
                "source": "https://github.com/adbario/php-dot-notation/tree/2.x"
            },
            "install-path": "../adbario/php-dot-notation"
        },
        {
            "name": "alibabacloud/credentials",
            "version": "1.1.4",
            "version_normalized": "1.1.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/aliyun/credentials-php.git",
                "reference": "e79d4151ad8924c0cf79d4fe0ec151b8d7663a25"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/aliyun/credentials-php/zipball/e79d4151ad8924c0cf79d4fe0ec151b8d7663a25",
                "reference": "e79d4151ad8924c0cf79d4fe0ec151b8d7663a25",
                "shasum": ""
            },
            "require": {
                "adbario/php-dot-notation": "^2.2",
                "alibabacloud/tea": "^3.0",
                "ext-curl": "*",
                "ext-json": "*",
                "ext-libxml": "*",
                "ext-mbstring": "*",
                "ext-openssl": "*",
                "ext-simplexml": "*",
                "ext-xmlwriter": "*",
                "guzzlehttp/guzzle": "^6.3|^7.0",
                "php": ">=5.6"
            },
            "require-dev": {
                "composer/composer": "^1.8",
                "drupal/coder": "^8.3",
                "ext-dom": "*",
                "ext-pcre": "*",
                "ext-sockets": "*",
                "ext-spl": "*",
                "mikey179/vfsstream": "^1.6",
                "monolog/monolog": "^1.24",
                "phpunit/phpunit": "^4.8.35|^5.4.3",
                "psr/cache": "^1.0",
                "symfony/dotenv": "^3.4",
                "symfony/var-dumper": "^3.4"
            },
            "suggest": {
                "ext-sockets": "To use client-side monitoring"
            },
            "time": "2021-06-08T10:49:34+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\Credentials\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com",
                    "homepage": "http://www.alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud Credentials for PHP",
            "homepage": "https://www.alibabacloud.com/",
            "keywords": [
                "alibaba",
                "alibabacloud",
                "aliyun",
                "client",
                "cloud",
                "credentials",
                "library",
                "sdk",
                "tool"
            ],
            "support": {
                "issues": "https://github.com/aliyun/credentials-php/issues",
                "source": "https://github.com/aliyun/credentials-php"
            },
            "install-path": "../alibabacloud/credentials"
        },
        {
            "name": "alibabacloud/darabonba-openapi",
            "version": "0.2.3",
            "version_normalized": "0.2.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alibabacloud-sdk-php/darabonba-openapi.git",
                "reference": "ba04277fbcf837451ba571e6b37913a6e6a846ba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alibabacloud-sdk-php/darabonba-openapi/zipball/ba04277fbcf837451ba571e6b37913a6e6a846ba",
                "reference": "ba04277fbcf837451ba571e6b37913a6e6a846ba",
                "shasum": ""
            },
            "require": {
                "alibabacloud/credentials": "^1.1",
                "alibabacloud/openapi-util": "^0.1.9",
                "alibabacloud/tea-utils": "^0.2.0",
                "php": ">5.5"
            },
            "time": "2021-11-26T09:00:27+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Darabonba\\OpenApi\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud OpenApi Client",
            "support": {
                "issues": "https://github.com/alibabacloud-sdk-php/darabonba-openapi/issues",
                "source": "https://github.com/alibabacloud-sdk-php/darabonba-openapi/tree/0.2.3"
            },
            "install-path": "../alibabacloud/darabonba-openapi"
        },
        {
            "name": "alibabacloud/dysmsapi-20170525",
            "version": "2.0.8",
            "version_normalized": "2.0.8.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alibabacloud-sdk-php/Dysmsapi-20170525.git",
                "reference": "83501c93a869c52e77fca204d2ae802926f36612"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alibabacloud-sdk-php/Dysmsapi-20170525/zipball/83501c93a869c52e77fca204d2ae802926f36612",
                "reference": "83501c93a869c52e77fca204d2ae802926f36612",
                "shasum": ""
            },
            "require": {
                "alibabacloud/darabonba-openapi": "^0.2.3",
                "alibabacloud/endpoint-util": "^0.1.0",
                "alibabacloud/openapi-util": "^0.1.9",
                "alibabacloud/tea-utils": "^0.2.0",
                "php": ">5.5"
            },
            "time": "2021-11-29T06:08:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\SDK\\Dysmsapi\\V20170525\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud Dysmsapi (20170525) SDK Library for PHP",
            "support": {
                "source": "https://github.com/alibabacloud-sdk-php/Dysmsapi-20170525/tree/2.0.8"
            },
            "install-path": "../alibabacloud/dysmsapi-20170525"
        },
        {
            "name": "alibabacloud/endpoint-util",
            "version": "0.1.1",
            "version_normalized": "0.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alibabacloud-sdk-php/endpoint-util.git",
                "reference": "f3fe88a25d8df4faa3b0ae14ff202a9cc094e6c5"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alibabacloud-sdk-php/endpoint-util/zipball/f3fe88a25d8df4faa3b0ae14ff202a9cc094e6c5",
                "reference": "f3fe88a25d8df4faa3b0ae14ff202a9cc094e6c5",
                "shasum": ""
            },
            "require": {
                "php": ">5.5"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8.35|^5.4.3"
            },
            "time": "2020-06-04T10:57:15+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\Endpoint\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud Endpoint Library for PHP",
            "support": {
                "source": "https://github.com/alibabacloud-sdk-php/endpoint-util/tree/0.1.1"
            },
            "install-path": "../alibabacloud/endpoint-util"
        },
        {
            "name": "alibabacloud/openapi-util",
            "version": "0.1.9",
            "version_normalized": "0.1.9.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alibabacloud-sdk-php/openapi-util.git",
                "reference": "c5734b3e0c2c560fd11c280edbe6cbe6115c4fd9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alibabacloud-sdk-php/openapi-util/zipball/c5734b3e0c2c560fd11c280edbe6cbe6115c4fd9",
                "reference": "c5734b3e0c2c560fd11c280edbe6cbe6115c4fd9",
                "shasum": ""
            },
            "require": {
                "alibabacloud/tea": "^3.1",
                "alibabacloud/tea-utils": "^0.2",
                "lizhichao/one-sm": "^1.5",
                "php": ">5.5"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8.35|^5.4.3"
            },
            "time": "2021-09-07T08:13:50+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\OpenApiUtil\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud OpenApi Util",
            "support": {
                "issues": "https://github.com/alibabacloud-sdk-php/openapi-util/issues",
                "source": "https://github.com/alibabacloud-sdk-php/openapi-util/tree/0.1.9"
            },
            "install-path": "../alibabacloud/openapi-util"
        },
        {
            "name": "alibabacloud/tea",
            "version": "3.1.22",
            "version_normalized": "3.1.22.0",
            "source": {
                "type": "git",
                "url": "https://github.com/aliyun/tea-php.git",
                "reference": "f9c9b2c927253a1c23a5381cc655e41311be7f65"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/aliyun/tea-php/zipball/f9c9b2c927253a1c23a5381cc655e41311be7f65",
                "reference": "f9c9b2c927253a1c23a5381cc655e41311be7f65",
                "shasum": ""
            },
            "require": {
                "adbario/php-dot-notation": "^2.2",
                "ext-curl": "*",
                "ext-json": "*",
                "ext-libxml": "*",
                "ext-mbstring": "*",
                "ext-openssl": "*",
                "ext-simplexml": "*",
                "ext-xmlwriter": "*",
                "guzzlehttp/guzzle": "^6.3|^7.0",
                "php": ">=5.5"
            },
            "require-dev": {
                "phpunit/phpunit": "*",
                "symfony/dotenv": "^3.4",
                "symfony/var-dumper": "^3.4"
            },
            "suggest": {
                "ext-sockets": "To use client-side monitoring"
            },
            "time": "2021-05-11T06:17:44+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\Tea\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com",
                    "homepage": "http://www.alibabacloud.com"
                }
            ],
            "description": "Client of Tea for PHP",
            "homepage": "https://www.alibabacloud.com/",
            "keywords": [
                "alibabacloud",
                "client",
                "cloud",
                "tea"
            ],
            "support": {
                "issues": "https://github.com/aliyun/tea-php/issues",
                "source": "https://github.com/aliyun/tea-php"
            },
            "install-path": "../alibabacloud/tea"
        },
        {
            "name": "alibabacloud/tea-utils",
            "version": "0.2.14",
            "version_normalized": "0.2.14.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alibabacloud-sdk-php/tea-utils.git",
                "reference": "381df15cb4bdb58dbf596f94869ffd2ef680eddd"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alibabacloud-sdk-php/tea-utils/zipball/381df15cb4bdb58dbf596f94869ffd2ef680eddd",
                "reference": "381df15cb4bdb58dbf596f94869ffd2ef680eddd",
                "shasum": ""
            },
            "require": {
                "alibabacloud/tea": "^3.1",
                "php": ">5.5"
            },
            "time": "2021-02-02T10:10:58+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AlibabaCloud\\Tea\\Utils\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Alibaba Cloud SDK",
                    "email": "sdk-team@alibabacloud.com"
                }
            ],
            "description": "Alibaba Cloud Tea Utils for PHP",
            "support": {
                "issues": "https://github.com/aliyun/tea-util/issues",
                "source": "https://github.com/aliyun/tea-util"
            },
            "install-path": "../alibabacloud/tea-utils"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.4.0",
            "version_normalized": "7.4.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "868b3571a039f0ebc11ac8f344f4080babe2cb94"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/868b3571a039f0ebc11ac8f344f4080babe2cb94",
                "reference": "868b3571a039f0ebc11ac8f344f4080babe2cb94",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.5",
                "guzzlehttp/psr7": "^1.8.3 || ^2.1",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.4.1",
                "ext-curl": "*",
                "php-http/client-integration-tests": "^3.0",
                "phpunit/phpunit": "^8.5.5 || ^9.3.5",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2021-10-18T09:52:00+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "7.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                },
                "files": [
                    "src/functions_include.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/7.4.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/guzzle",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "1.5.1",
            "version_normalized": "1.5.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "fe752aedc9fd8fcca3fe7ad05d419d32998a06da"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/fe752aedc9fd8fcca3fe7ad05d419d32998a06da",
                "reference": "fe752aedc9fd8fcca3fe7ad05d419d32998a06da",
                "shasum": ""
            },
            "require": {
                "php": ">=5.5"
            },
            "require-dev": {
                "symfony/phpunit-bridge": "^4.4 || ^5.1"
            },
            "time": "2021-10-22T20:56:57+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                },
                "files": [
                    "src/functions_include.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/1.5.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.1.0",
            "version_normalized": "2.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "089edd38f5b8abba6cb01567c2a8aaa47cec4c72"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/089edd38f5b8abba6cb01567c2a8aaa47cec4c72",
                "reference": "089edd38f5b8abba6cb01567c2a8aaa47cec4c72",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.4.1",
                "http-interop/http-factory-tests": "^0.9",
                "phpunit/phpunit": "^8.5.8 || ^9.3.10"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2021-10-06T17:43:30+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.1-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/2.1.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "lizhichao/one-sm",
            "version": "1.10",
            "version_normalized": "1.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/lizhichao/sm.git",
                "reference": "687a012a44a5bfd4d9143a0234e1060543be455a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/lizhichao/sm/zipball/687a012a44a5bfd4d9143a0234e1060543be455a",
                "reference": "687a012a44a5bfd4d9143a0234e1060543be455a",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "time": "2021-05-26T06:19:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "OneSm\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "tanszhe",
                    "email": "1018595261@qq.com"
                }
            ],
            "description": "国密sm3",
            "keywords": [
                "php",
                "sm3"
            ],
            "support": {
                "issues": "https://github.com/lizhichao/sm/issues",
                "source": "https://github.com/lizhichao/sm/tree/1.10"
            },
            "funding": [
                {
                    "url": "https://www.vicsdf.com/img/w.jpg",
                    "type": "custom"
                },
                {
                    "url": "https://www.vicsdf.com/img/z.jpg",
                    "type": "custom"
                }
            ],
            "install-path": "../lizhichao/one-sm"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-client.git",
                "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
                "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
                "shasum": ""
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0"
            },
            "time": "2020-06-29T06:28:15+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-client/tree/master"
            },
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-factory.git",
                "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-factory/zipball/12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
                "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0",
                "psr/http-message": "^1.0"
            },
            "time": "2019-04-30T12:38:16+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-factory/tree/master"
            },
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T14:39:51+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/master"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v2.5.0",
            "version_normalized": "2.5.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "6f981ee24cf69ee7ce9736146d1c57c2780598a8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/6f981ee24cf69ee7ce9736146d1c57c2780598a8",
                "reference": "6f981ee24cf69ee7ce9736146d1c57c2780598a8",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2021-07-12T14:48:14+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.5-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v2.5.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
